Listings
Index Listings
Get a list of all listings for a channel. Returns up to 100 items in a single call, using Pagination.
This endpoint also supports our Search Language. Supported fields are title, sku, channel_identifier, identifiers.identifier, productLink.product_id.
GET
/channels/{CHANNEL_ID}/listings| Parameter | Type | Examples | Description |
|---|---|---|---|
q Optional | string | identifiers.identifier:"B0XXXXXXXXXX" | Search query using the Search Language. Supported fields: title, sku, channel_identifier, identifiers.identifier, productLink.product_id. |
page Optional | integer | 1 | Page number for pagination. |
per_page Optional | integer | 20 | Number of results per page. Maximum 100. |
Example Response
Create Listing
Create a new listing on a channel for an inventory item
POST
/channels/{CHANNEL_ID}/listings| Parameter | Type | Examples | Description |
|---|---|---|---|
item_id Required | integer | 22 | (required) ID of the item you are creating a listing for. |
channel_identifier Required | string | ABC-1234 | (required) The unique identifier for the item on the channel. This is generally, but not required to be, the SKU of the item. |
item_exists Optional | string | yes | Whether the listing already exists on the channel. If yes, we will attempt to sync with the listing on the channel. If no, we will attempt to create the listing on the channel. Valid values: 'yes', 'no'. |
Example Response
Link a Listing to a Product
Create a link between a product/item and a listing on a channel.
POST
/listings/{LISTING_ID}/link| Parameter | Type | Examples | Description |
|---|---|---|---|
item_id Required | integer | 22 | (required) ID of the product/item you would like to link to this listing. |
